Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80770 - Completion wierdness with nested quotes.
Summary: Completion wierdness with nested quotes.
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: bash
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-31 01:28 UTC by Ralph Loader
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-04-09 16:00:25 UTC


Attachments (Terms of Use)

Description Ralph Loader 2002-12-31 01:28:43 UTC
Description of problem:

Using tab completion after a "` (double-quote back-quote) sequence
appends an additional " .

Version-Release number of selected component (if applicable):

bash-2.05b-13

How reproducible:

Every time.

Steps to Reproduce:
1.  Go to an empty directory.
2.  touch temp.txt
3.  Type

echo "`cat temp<TAB>

where <TAB> means push the tab key.

Actual results:

The command line is completed to

echo "`cat temp.txt"

Expected results:

I think the command line should be completed to

echo "`cat temp.txt

Comment 1 Tim Waugh 2003-04-09 16:00:25 UTC
Reported upstream.


Note You need to log in before you can comment on or make changes to this bug.